curl --request PUT \
--url https://api.qonversion.io/v4/automations/{automation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Welcome Flow",
"caption": "Updated description",
"status": "inactive",
"data": {
"platform": "iOS",
"initiators": [
{
"uid": "2",
"type": "event"
}
],
"actions": {
"push": "nCRUE7SW",
"screen": "qUY7JXgF"
},
"segments": "A0SzRbM2vmmwixbpQxtI"
}
}
'import requests
url = "https://api.qonversion.io/v4/automations/{automation_id}"
payload = {
"name": "Updated Welcome Flow",
"caption": "Updated description",
"status": "inactive",
"data": {
"platform": "iOS",
"initiators": [
{
"uid": "2",
"type": "event"
}
],
"actions": {
"push": "nCRUE7SW",
"screen": "qUY7JXgF"
},
"segments": "A0SzRbM2vmmwixbpQxtI"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Welcome Flow',
caption: 'Updated description',
status: 'inactive',
data: {
platform: 'iOS',
initiators: [{uid: '2', type: 'event'}],
actions: {push: 'nCRUE7SW', screen: 'qUY7JXgF'},
segments: 'A0SzRbM2vmmwixbpQxtI'
}
})
};
fetch('https://api.qonversion.io/v4/automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qonversion.io/v4/automations/{automation_id}"
payload := strings.NewReader("{\n \"name\": \"Updated Welcome Flow\",\n \"caption\": \"Updated description\",\n \"status\": \"inactive\",\n \"data\": {\n \"platform\": \"iOS\",\n \"initiators\": [\n {\n \"uid\": \"2\",\n \"type\": \"event\"\n }\n ],\n \"actions\": {\n \"push\": \"nCRUE7SW\",\n \"screen\": \"qUY7JXgF\"\n },\n \"segments\": \"A0SzRbM2vmmwixbpQxtI\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.qonversion.io/v4/automations/{automation_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Updated Welcome Flow\",\n \"caption\": \"Updated description\",\n \"status\": \"inactive\",\n \"data\": {\n \"platform\": \"iOS\",\n \"initiators\": [\n {\n \"uid\": \"2\",\n \"type\": \"event\"\n }\n ],\n \"actions\": {\n \"push\": \"nCRUE7SW\",\n \"screen\": \"qUY7JXgF\"\n },\n \"segments\": \"A0SzRbM2vmmwixbpQxtI\"\n }\n}")
.asString();{
"object": "automation",
"id": "auto-abc123",
"url": "/v4/automations/auto-abc123",
"name": "Welcome Flow",
"caption": "Sends a welcome message to new users",
"status": "active",
"data": {
"initiators": [
{
"uid": "2",
"type": "event"
}
],
"actions": {
"push": "nCRUE7SW",
"screen": "qUY7JXgF"
},
"segments": "A0SzRbM2vmmwixbpQxtI",
"type": "event",
"platform": "iOS"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Update an automation
Deprecated — the Automations product surface has been removed; this API remains available for existing integrations only. Fully replaces an automation’s mutable fields. All mutable fields must be provided.
Authorizations
Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.
Path Parameters
Automation identifier.
256^[a-zA-Z0-9._-]+$Body
Human-readable name for the automation. Must be 1–255 characters.
1 - 255"Updated Welcome Flow"
Status of the automation.
active, inactive, paused "inactive"
Automation configuration. Push and event resources are dashboard-only; this object references them by uid.
Show child attributes
Show child attributes
Optional description. Maximum 1024 characters.
1024"Updated description"
Response
Updated automation.
Always "automation".
automation Unique automation identifier.
"auto-abc123"
Canonical API path for this automation.
"/v4/automations/auto-abc123"
Human-readable name of the automation.
"Welcome Flow"
Optional description of the automation.
"Sends a welcome message to new users"
Lifecycle status of the automation. paused is set via
PATCH /automations/{id}/status to temporarily stop an active
automation without deleting it. unknown is returned as a
forward-compatibility fallback and should not be written.
"active"
Automation configuration. Push and event resources are dashboard-only; this object references them by uid.
Show child attributes
Show child attributes